package com.example.technicalsupport.screens

import androidx.compose.ui.test.assertIsDisplayed
import androidx.compose.ui.test.assertIsNotDisplayed
import androidx.compose.ui.test.junit4.createComposeRule
import androidx.compose.ui.test.onNodeWithTag
import androidx.compose.ui.test.onNodeWithText
import androidx.compose.ui.test.performClick
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import com.example.technicalsupport.navigation.Screens
import com.example.technicalsupport.ui.theme.TechnicalSupportTheme
import org.junit.Assert.*
import org.junit.Before
import org.junit.Rule
import org.junit.Test

class ApplicationsTest{
    @get:Rule(order = 0)
    var testRule = createComposeRule()

    @Before
    fun setup() {
        testRule.setContent {
            val navController = rememberNavController()
            TechnicalSupportTheme {
                NavHost(navController = navController, startDestination = Screens.Applications.route) {
                    composable(route = Screens.Applications.route) {
                        Applications("Большаков","Иван","Алексеевич")
                    }
                }
            }
        }
    }

    @Test
    fun ChangeStatus() {
        testRule.onNodeWithTag("app0").performClick()
        testRule.onNodeWithTag("menu_status").performClick()
        testRule.onNodeWithTag("status").performClick()
        testRule.onNodeWithTag("save").performClick()
        testRule.onNodeWithText("Установить и настроить сканер").assertIsNotDisplayed()


    }
}