package com.example.technicalsupport.screens

import androidx.compose.ui.test.assertIsDisplayed
import androidx.compose.ui.test.assertIsNotDisplayed
import androidx.compose.ui.test.junit4.createComposeRule
import androidx.compose.ui.test.onNodeWithTag
import androidx.compose.ui.test.onNodeWithText
import androidx.compose.ui.test.performClick
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import com.example.technicalsupport.navigation.Screens
import com.example.technicalsupport.ui.theme.TechnicalSupportTheme
import org.junit.Assert.*
import org.junit.Before
import org.junit.Rule
import org.junit.Test

class KnowledgeBaseTest{
    @get:Rule(order = 0)
    var testRule = createComposeRule()

    @Before
    fun setup() {
        testRule.setContent {
            val navController = rememberNavController()
            TechnicalSupportTheme {
                NavHost(navController = navController, startDestination = Screens.KnowledgeBase.route) {
                    composable(route = Screens.KnowledgeBase.route) {
                        KnowledgeBase()
                    }
                }
            }
        }
    }

    @Test
    fun CheakCompas() {
        testRule.onNodeWithTag("base0").performClick()
        testRule.onNodeWithText("Установка и запуск КОМПАС-3D").assertIsDisplayed()
        testRule.onNodeWithTag("back").performClick()


    }
    @Test
    fun CheakPrinterHP() {
        testRule.onNodeWithTag("base1").performClick()
        testRule.onNodeWithText("Как подключить принтер HP LaserJet к компьютеру: подготовительные шаги").assertIsDisplayed()
        testRule.onNodeWithTag("back").performClick()


    }
    @Test
    fun Cheak1C() {
        testRule.onNodeWithTag("base2").performClick()
        testRule.onNodeWithText("Как установить 1С 8.3 самостоятельно: пошаговая инструкция").assertIsDisplayed()
        testRule.onNodeWithTag("back").performClick()


    }
    @Test
    fun CheakNAPS2() {
        testRule.onNodeWithTag("base3").performClick()
        testRule.onNodeWithText("Настройка общего доступа к сканеру по локальной сети с помощью NAPS2").assertIsDisplayed()
        testRule.onNodeWithTag("back").performClick()


    }
    @Test
    fun CheakWindowsAndOffies() {
        testRule.onNodeWithTag("base4").performClick()
        testRule.onNodeWithText("Активировать Windows и Office").assertIsDisplayed()
        testRule.onNodeWithTag("back").performClick()


    }
}