package com.example.technicalsupport.screens

import androidx.compose.ui.test.assertIsDisplayed
import androidx.compose.ui.test.junit4.createComposeRule
import androidx.compose.ui.test.onNodeWithTag
import androidx.compose.ui.test.onNodeWithText
import androidx.compose.ui.test.performClick
import androidx.compose.ui.test.performTextInput
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import com.example.technicalsupport.navigation.Screens
import com.example.technicalsupport.ui.theme.TechnicalSupportTheme
import org.junit.Assert.*
import org.junit.Before
import org.junit.Rule
import org.junit.Test

class ProfileTest {
    @get:Rule(order = 0)
    var testRule = createComposeRule()

    @Before
    fun setup() {
        testRule.setContent {
            val navController = rememberNavController()
            TechnicalSupportTheme {
                NavHost(navController = navController, startDestination = Screens.Profile.route) {
                    composable(route = Screens.Profile.route) {
                        Profile("i.a.bolshakov","Password123!",navController)
                    }
                    composable(route = Screens.LogIn.route) {
                        LogIn(navController = navController)
                    }
                }
            }
        }
    }

    @Test
    fun correctDataInProfile() {
        testRule.onNodeWithText("Большаков").assertIsDisplayed()
        testRule.onNodeWithText("Иван").assertIsDisplayed()
        testRule.onNodeWithText("Алексеевич").assertIsDisplayed()
        testRule.onNodeWithText("2005-07-07").assertIsDisplayed()
        testRule.onNodeWithText("Специалист службы поддержки").assertIsDisplayed()
        testRule.onNodeWithText("Отдел сетевых коммуникаций и системного администрирования").assertIsDisplayed()

    }
    @Test
    fun Exit() {
        testRule.onNodeWithTag("exit").performClick()
        testRule.onNodeWithText("Введите логин").assertIsDisplayed()

    }
}