package com.example.technicalsupport.navigation

import androidx.compose.runtime.Composable
import androidx.navigation.NavHostController
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import com.example.technicalsupport.screens.Applications
import com.example.technicalsupport.screens.History
import com.example.technicalsupport.screens.KnowledgeBase
import com.example.technicalsupport.screens.Profile

@Composable
fun BottomNavGraph(
    navController: NavHostController,
    email: String,
    password: String,
    last_name: String,
    first_name: String,
    patronymic: String,
    navController2: NavHostController
) {
    NavHost(
        navController = navController,
        startDestination = Screens.Applications.route,
    ) {
        composable(Screens.KnowledgeBase.route) {
            KnowledgeBase()
        }
        composable(Screens.Applications.route) {
            Applications(last_name, first_name, patronymic)
        }
        composable(Screens.History.route) {
            History(last_name, first_name, patronymic)
        }
        composable(Screens.Profile.route) {
            Profile(email, password, navController2)
        }

    }
}