package com.example.technicalsupport.navigation

import androidx.compose.runtime.Composable
import androidx.navigation.NavType
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import androidx.navigation.navArgument
import com.example.technicalsupport.screens.LogIn

@Composable
fun Navigation() {
    val navController = rememberNavController()
    NavHost(navController = navController, startDestination = Screens.LogIn.route)
    {
        composable(route = Screens.LogIn.route)
        {
            LogIn(navController = navController)

        }
        composable(
            route = Screens.AppNavigation.route + "/{email}/{password}/{last_name}/{first_name}/{patronymic}",
            arguments = listOf(
                navArgument("email") {
                    type = NavType.StringType
                },
                navArgument("password") {
                    type = NavType.StringType
                },
                navArgument("last_name") {
                    type = NavType.StringType
                },
                navArgument("first_name") {
                    type = NavType.StringType
                },
                navArgument("patronymic") {
                    type = NavType.StringType
                },
            )
        )
        {
            val email = it.arguments!!.getString("email")
            val password = it.arguments!!.getString("password")
            val last_name = it.arguments!!.getString("last_name")
            val first_name = it.arguments!!.getString("first_name")
            val patronymic = it.arguments!!.getString("patronymic")
            AppNavigation(
                email = email!!,
                password = password!!,
                last_name!!,
                first_name!!,
                patronymic!!,
                navController
            )

        }
    }
}
