package com.example.technicalsupport.navigation

sealed class Screens(val route: String) {
    object LogIn : Screens("log_in")

    object KnowledgeBase : Screens("knowledge_base")
    object Profile : Screens("profile")
    object History : Screens("history")
    object Applications : Screens("applications")
    object AppNavigation : Screens("app_navigation")

    fun withArg(vararg args: String): String {
        return buildString {
            append(route)
            args.forEach { arg ->
                append("/$arg")
            }
        }
    }

}