package com.example.technicalsupport.screens

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Spacer
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.lazy.LazyColumn
import androidx.compose.foundation.lazy.items
import androidx.compose.material3.CircularProgressIndicator
import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import com.example.technicalsupport.models.Task
import com.example.technicalsupport.ui.theme.Font
import com.google.firebase.Firebase
import com.google.firebase.firestore.firestore


@Composable
fun History(last_name: String, first_name: String, patronymic: String) {
    val db = Firebase.firestore
    val tasks = remember {
        mutableStateOf(emptyList<Task>())
    }
    Column(
        modifier = Modifier
            .fillMaxSize()
            .padding(20.dp)
            .padding(vertical = 30.dp)
            .background(MaterialTheme.colorScheme.background),
        horizontalAlignment = Alignment.Start,
        verticalArrangement = Arrangement.Top
    ) {
        Text(
            text = "История",
            fontSize = 30.sp,
            fontFamily = Font,
            fontWeight = FontWeight.Normal,
            color = MaterialTheme.colorScheme.onBackground
        )
        Spacer(modifier = Modifier.height(60.dp))
        db.collection("tasks")
            .whereEqualTo("owner", "$last_name $first_name $patronymic")
            .whereEqualTo("status","Выполнено")
            .get()
            .addOnCompleteListener {
                if (it.isSuccessful) {
                    tasks.value = it.result.toObjects(Task::class.java)


                }
            }
        if (tasks.value.isNotEmpty()) {
            LazyColumn(
                modifier = Modifier
                    .fillMaxSize()
            ) {
                items(tasks.value) { app ->
                    val index = tasks.value.indexOf(app)
                    val bool = Card_application(app,"app$index")
                    if (!bool) {
                        db.collection("tasks")
                            .whereEqualTo("owner", "$last_name $first_name $patronymic")
                            .whereEqualTo("status","Выполнено")
                            .get()
                            .addOnCompleteListener {
                                if (it.isSuccessful) {
                                    tasks.value = it.result.toObjects(Task::class.java)

                                }
                            }
                    }
                }
            }


        } else {
            Column(
                modifier = Modifier.fillMaxSize(),
                verticalArrangement = Arrangement.Center,
                horizontalAlignment = Alignment.CenterHorizontally
            ) {
                CircularProgressIndicator()

            }
        }
    }
}